summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorGlenn Strauss <gstrauss@gluelogic.com>2020-09-05 23:54:32 -0400
committerGlenn Strauss <gstrauss@gluelogic.com>2020-10-11 12:19:26 -0400
commit37e04510c42e4b117d5c0abd100be4841044e671 (patch)
treef1dbd892dc2f14707396399e052624ea0eb43ff8 /autogen.sh
parent140c0fb8f452b154cc8f24ff412a4d7c2bbdbfdc (diff)
downloadlighttpd-git-37e04510c42e4b117d5c0abd100be4841044e671.tar.gz
[build] add to autogen.sh hint listing reqd pkgs
add hint to autogen.sh listing packages required for build if ./autogen.sh fails
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 7377a64a..6a2ecd8b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,13 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+function errtrace {
+ echo 1>&2 \
+ "build requires autoconf automake libtool m4 pcre pcre-devel pkg-config"
+}
+
+trap errtrace ERR
+
set -e
if [ ! -f configure.ac -o ! -f COPYING ]; then